package cd.casic.module.machine.service;

import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.module.machine.controller.vo.MachineProxyVO;
import cd.casic.module.machine.dal.dataobject.MachineProxy;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * 机器代理服务接口
 */
public interface MachineProxyService extends IService<MachineProxy> {
    /**
     * 注册新的机器代理
     */
    boolean register(MachineProxyVO machineProxyVO);

    /**
     * 更新代理状态
     */
    boolean updateStatus(MachineProxyVO machineProxyVO);


    /**
     * 获取所有代理的状态统计
     *
     * @return 状态统计Map
     */
    Map<String, Long> getStatusStatistics();

    /**
     * 更新代理配置
     */
    void update(MachineProxyVO machineProxyVO);


    /**
     * 批量删除代理
     *
     * @param proxyIds 代理ID列表
     */
    void delete(String proxyIds);

    PageResult<MachineProxyVO> list(MachineProxyVO machineProxyVO);
}
